declare class AocClient {
    constructor(builder: AocClientBuilder);
    static builder(): AocClientBuilder;
}
declare class AocClientBuilder {
    sessionCookie?: string;
    year?: number;
    day?: number;
    overwriteFiles: boolean;
    inpueFilename: string;
    puzzleFilename: string;
    showHtmlMarkup: boolean;
    build(): AocClient;
}

export { AocClient, AocClientBuilder };
